<?php
include ("../conexion.php");

$codusu=$_POST["codusu"];
$nomcomusu=strtoupper($_POST["nomcomusu"]);
$cadena_busqueda=$_POST["cadena_busqueda"];

$where="1=1";
if ($codusu <> "") { $where.=" AND codusu=$codusu"; }
if ($nomcomusu <> "") { $where.=" AND nomcomusu like '%".$nomcomusu."%'"; }

$where.=" ORDER BY codusu ASC";


 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT * FROM usuarios WHERE  ".$where )) {
   $filas = $result->num_rows;
   $result->close();
}

?>
<html>
	<head>
		<title>Usuarios</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
		
		function ver_usuario(codusu) {
			parent.location.href="ver_usuario.php?codusu=" + codusu + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function modificar_usuario(codusu) {
			parent.location.href="modificar_usuario.php?codusu=" + codusu + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}
		
		function eliminar_usuario(codusu) {
			parent.location.href="eliminar_usuario.php?codusu=" + codusu + "&cadena_busqueda=<?php echo $cadena_busqueda?>";
		}

		function inicio() {
			var numfilas=document.getElementById("numfilas").value;
			var indi=parent.document.getElementById("iniciopagina").value;
			var contador=1;
			var indice=0;
			if (indi>numfilas) { 
				indi=1; 
			}
			parent.document.form_busqueda.filas.value=numfilas;
			parent.document.form_busqueda.paginas.innerHTML="";		
			while (contador<=numfilas) {
				texto=contador + "-" + parseInt(contador+9);
				if (indi==contador) {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
					parent.document.form_busqueda.paginas.options[indice].selected=true;
				} else {
					parent.document.form_busqueda.paginas.options[indice]=new Option (texto,contador);
				}
				indice++;
				contador=contador+10;
			}
		}
		</script>
	</head>

	<body onload=inicio()>	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente8" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
			<input type="hidden" name="numfilas" id="numfilas" value="<?php echo $filas?>">

		<?php 
		$contador=0;
if ( $filas > 0) {
 
$consulta = "SELECT * FROM usuarios WHERE  ".$where;

if ($resultado = $mysqli->query($consulta)) 

 
    while ($fila = $resultado->fetch_assoc()) {
        $codusu = $fila["codusu"];
        $nomcomusu = $fila["nomcomusu"];
        $ced = $fila["ced"];
        $telusu = $fila["telusu"];

		if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
		
						<tr class="<?php echo $fondolinea?>">
						<td class="" width="1%"></td>
						<td width="15%"><div align="left"><?php echo $codusu ?></div></td>
						<td width="39%"><div align="left"><?php echo $nomcomusu?></div></td>
						<td class="aDerecha" width="15%"><div align="left"><?php echo $ced ?></div></td>
						<td class="aDerecha" width="15%"><div align="left"><?php echo $telusu ?></div></td>
						
							<td width="5%"><div align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="modificar_usuario(<?php echo $codusu ?>)" title="Modificar"></a></div></td>
														<td width="5%"><div align="center"><a href="#"><img src="../img/Search_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="ver_usuario(<?php echo  $codusu ?>)" title="Visualizar"></a></div></td>
							
						</tr>
						<?php $contador++;
							}
						?>			
					</table>
					<?php } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo "No hay ning&uacute;n usuario que cumpla con los criterios de b&uacute;squeda";?></td>
					    </tr>
					</table>					
					<?php } ?>					
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>
